#ifndef FTR_HH
#define FTR_HH

#include <stdint.h>

struct FastTraceRecord {
        uint8_t         sync ;
        /* Always '\n' */
        uint8_t         optype ;
        /* L)oad S)tore A)rithmetic C)ontrol s)ethi O)ther */
        uint8_t         out_reg_number ;
        uint8_t         in0_reg_number ;
        uint8_t         in1_reg_number ;
        uint8_t         store_reg_number ;

        uint8_t         cost ;

        /* corrected appropriately for the register window number */
        uint64_t        out_value ;
        uint64_t        ea_value ;
        uint64_t        pc_value ;

        uint64_t        when ;

} ;
#endif

