#!/bin/sh

glpsol --math test-glpk.mod >test-glpk.ok
echo ''
if grep 'WCET = 1017983417' test-glpk.ok
then
    echo 'GLPK test ok'
else
    rm -f test-glpk.ok
    echo '** GLPK test failed. Check you have GLPK version 4.39 (or **'
    echo '** higher) installed and in your $PATH.                   **'
    echo ''
    echo 'glpsol --version says:'
    glpsol --version | head -n1
    echo ''
fi

